package com.chenyang.nse.bussiness.entity.vo.dataproject;

import java.util.List;

public class TCoreDataAreaVO {
   private String tid;
   private String dataarea;
   private String remark;
   private String hasarea;
   private String areatype;
   private List<TCoreSearchregexVO> regexList;

   public TCoreDataAreaVO() {
   }

   public TCoreDataAreaVO(String tid, String dataarea, String remark, String hasarea, String areatype, List<TCoreSearchregexVO> regexList) {
      this.tid = tid;
      this.dataarea = dataarea;
      this.remark = remark;
      this.hasarea = hasarea;
      this.areatype = areatype;
      this.regexList = regexList;
   }

   public String getTid() {
      return this.tid;
   }

   public void setTid(String tid) {
      this.tid = tid;
   }

   public String getDataarea() {
      return this.dataarea;
   }

   public void setDataarea(String dataarea) {
      this.dataarea = dataarea;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setRemark(String remark) {
      this.remark = remark;
   }

   public String getHasarea() {
      return this.hasarea;
   }

   public void setHasarea(String hasarea) {
      this.hasarea = hasarea;
   }

   public String getAreatype() {
      return this.areatype;
   }

   public void setAreatype(String areatype) {
      this.areatype = areatype;
   }

   public List<TCoreSearchregexVO> getRegexList() {
      return this.regexList;
   }

   public void setRegexList(List<TCoreSearchregexVO> regexList) {
      this.regexList = regexList;
   }

   public String toString() {
      return "TCoreDataAreaVO{tid='" + this.tid + '\'' + ", dataarea='" + this.dataarea + '\'' + ", remark='" + this.remark + '\'' + ", hasarea='" + this.hasarea + '\'' + ", areatype='" + this.areatype + '\'' + ", regexList=" + this.regexList + '}';
   }
}
